## LassoSamlp2Scoping LassoSamlp2Scoping — <samlp2:Scoping> |

## Functions

LassoNode * | lasso_samlp2_scoping_new ()

## Types and Values

struct | LassoSamlp2Scoping

## Description

Figure 87. Schema fragment for samlp2:Scoping

    <complexType name="ScopingType">
      <sequence>
        <element ref="samlp:IDPList" minOccurs="0"/>
        <element ref="samlp:RequesterID" minOccurs="0" maxOccurs="unbounded"/>
      </sequence>
      <attribute name="ProxyCount" type="nonNegativeInteger" use="optional"/>
    </complexType>

## Functions

### lasso_samlp2_scoping_new ()

    LassoNode *
    lasso_samlp2_scoping_new (void);

Creates a new LassoSamlp2Scoping object.

#### Returns

a newly created LassoSamlp2Scoping object

## Types and Values

### struct LassoSamlp2Scoping

    struct LassoSamlp2Scoping {
    	LassoNode parent;

    	/* elements */
    	LassoSamlp2IDPList *IDPList;
    	char *RequesterID;
    	/* attributes */
    	char *ProxyCount;
    };